Bug 47745 - [PATCH] External links in form "url(<link>)" are not resolved correctly in rtf export
Summary: [PATCH] External links in form "url(<link>)" are not resolved correctly in rt...
Status: NEW
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: rtf (show other bugs)
Version: all
Hardware: PC Windows Vista
: P2 normal
Target Milestone: ---
Assignee: fop-dev
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-08-26 12:47 UTC by Pavel Molchanov
Modified: 2012-04-11 03:22 UTC (History)
0 users



Attachments
Patch for org.apache.fop.render.rtf.RTFHandler.java (878 bytes, patch)
2009-08-26 12:48 UTC, Pavel Molchanov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Molchanov 2009-08-26 12:47:24 UTC
It's a valid form to have 

<fo:basic-link external-destination="url(http://www.mysite.com)" />

PDF export is working fine and transform link to form: http://www.mysite.com

RTF doesn't transform links and pass full link url(http://www.mysite.com) to the output. The link appears broken.

The fix is rather easy. In the file org.apache.fop.render.rtf.RTFHandler.java:

link.setExternalURL(basicLink.getExternalDestination());

must be replaced with:

link.setExternalURL(URISpecification.getURL(basicLink.getExternalDestination()));

Patch is attached.
Comment 1 Pavel Molchanov 2009-08-26 12:48:13 UTC
Created attachment 24172 [details]
Patch for org.apache.fop.render.rtf.RTFHandler.java
Comment 2 Glenn Adams 2012-04-07 01:37:35 UTC
resetting severity from major to normal pending further review
Comment 3 Glenn Adams 2012-04-07 01:42:15 UTC
resetting P2 open bugs to P3 pending further review
Comment 4 Glenn Adams 2012-04-11 03:22:31 UTC
increase priority for bugs with a patch